{
    "dependencies": {
        "@stomp/stompjs": "^5.4.4",
        "@types/bootbox": "^5.2.0",
        "@types/datatables.net": "^1.10.19",
        "@types/datatables.net-buttons": "^1.4.3",
        "@types/datatables.net-select": "^1.2.6",
        "@types/dompurify": "^2.0.0",
        "@types/jquery": "^3.3.31",
        "@types/markdown-it": "^0.0.9",
        "@types/sjcl": "^1.0.29",
        "@types/sockjs-client": "^1.1.1",
        "@types/sprintf-js": "^1.1.2",
        "alertifyjs": "^1.12.0",
        "bootbox": "^5.4.0",
        "builder-pattern": "^1.2.3",
        "chart.js": "^2.9.3",
        "dedent-js": "^1.0.1",
        "dompurify": "^2.0.7",
        "fuse.js": "^3.4.6",
        "global": "^4.4.0",
        "handlebars": "^4.5.3",
        "helper-moment": "^0.2.0",
        "loglevel": "^1.6.6",
        "markdown-it": "^10.0.0",
        "moment": "^2.24.0",
        "promise-worker": "^2.0.1",
        "sjcl": "^1.0.8",
        "sockjs-client": "^1.5.0",
        "sprintf-js": "^1.1.2"
    },
    "devDependencies": {
        "browserify": "^16.5.0",
        "browserify-css": "^0.15.0",
        "browserify-shim": "^3.8.14",
        "grunt": "^1.0.4",
        "grunt-banner": "^0.6.0",
        "grunt-browserify": "^5.3.0",
        "grunt-terser": "^1.0.0",
        "tsify": "^4.0.1",
        "typescript": "^3.7.4",
        "uglify-js": "^3.7.5"
    },
    "browserify": {
        "transform": [
            "browserify-shim"
        ]
    },
    "browserify-shim": {
        "loglevel": "global:log",
        "markdown-it": "global:markdownit",
        "handlebars": "global:Handlebars",
        "dompurify": "global:DOMPurify",
        "fuse.js": "global:Fuse",
        "sprintf-js": "global:sprintf",
        "alertifyjs": "global:alertify",
        "bootbox": {
            "exports": "global:bootbox",
            "depends": [
                "@types/jquery"
            ]
        },
        "sockjs-client": "global:SockJS"
    },
    "scripts": {
        "watch": "watchify src/main/frontend/chat/main.ts -p [ tsify --target ES6 --noImplicitAny ] --debug  -o src/main/resources/static/js/bundle.js",
        "watch:admin": "watchify src/main/frontend/admin/main.ts -p [ tsify --target ES6 --noImplicitAny ] --debug  -o src/main/resources/static/js/adminBundle.js"
    }
}